List payment links
curl --request GET \
--url https://thirdparty.qonto.com/v2/payment_links \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/payment_links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/payment_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"expiration_date": "2021-01-01T00:00:00Z",
"potential_payment_methods": [
"credit_card"
],
"amount": {
"value": "13.30",
"currency": "EUR"
},
"resource_type": "Basket",
"reusable": true,
"created_at": "2021-01-01T00:00:00Z",
"url": "https://pay.qonto.com/019788b3-57ab-727c-b26e-86b95c16e93f?resource_id=4c56f862-6117-4b20-a3e3-7fa6fccea029",
"items": [
{
"title": "Item 1",
"quantity": 1,
"unit_price": {
"value": "10.99",
"currency": "EUR"
},
"vat_rate": "0.21",
"type": "good",
"description": "Item 1 description",
"measure_unit": "unit"
}
],
"invoice_id": "550e8400-e29b-41d4-a716-446655440001",
"invoice_number": "INV-12345",
"debitor_name": "John Doe"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}Payment Links
List payment links
OAuth scope: payment_link.read
Allows you to get your payment links.
GET
/
v2
/
payment_links
List payment links
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Page number for pagination. Must be greater than 0.
Required range:
x >= 1Number of records per page. Must be between 1 and 100.
Required range:
1 <= x <= 100Filter payments by status.
Available options:
open, expired, canceled, paid, processing Example:
"?status[]=open&status[]=paid"
Sort payments by a field.
Available options:
amount:asc, amount:desc, expiration_date:asc, expiration_date:desc Example:
"?sort_by=amount:asc"
Was this page helpful?